javax.batch.operations

## Class JobRestartException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException
        - - javax.batch.operations.JobRestartException

All Implemented Interfaces:
  Serializable

    public class JobRestartException
    extends BatchRuntimeException

JobRestartException is thrown when an error occurs during the JobOperator restart operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobRestartException()`
`JobRestartException(String message)`
`JobRestartException(String message, Throwable cause)`
`JobRestartException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobRestartException

    public JobRestartException()

#### JobRestartException

    public JobRestartException(String message)

#### JobRestartException

    public JobRestartException(Throwable cause)

#### JobRestartException

    public JobRestartException(String message,
                       Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0